0

I am getting a pretty interesting error in my attempt to import arcpy in my python command line. The end goal of this effort is to have a working Spyder IDE that can run arcpy. I've been able to get this to work with the 10.5 version of ArcGIS by setting the correct paths but am unable to replicate it. Here's a rough outline of the steps I've followed:

  1. 32 bit Python2.7 downloaded
  2. Anaconda Navigator downloaded and created an environment for Arc
  3. Set Desktop10.6 path from 'C:\Python27\ArcGIS10.5\Lib\site-packages' to 'C:\Anaconda2\envs\arcgis10-5-1\Lib\site-packages.'
  4. Created path 'C:\Python27\ArcGIS10.5\Lib\site-packages' in text editor and saved as 'C:\Anaconda2\envs\arcgis10-5-1\Lib\site-packages\ arcgis-python-site-packages.pth.'

Then I simply went to the Python command line to 'import arcpy' and here is my error:

enter image description here

  • 1
    What path(s) have you put inside your .pth file? – KHibma Aug 21 '18 at 17:31
  • C:\Program Files (x86)\ArcGIS\Desktop10.6\bin C:\Program Files (x86)\ArcGIS\Desktop10.6\ArcPy C:\Program Files (x86)\ArcGIS\Desktop10.6\ArcToolBox\Scripts – Leonardo A. Hughes Aug 22 '18 at 15:06

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.